Interface KubernetesHPAEndpointBuilderFactory.KubernetesHPABuilders
-
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- KubernetesHPAEndpointBuilderFactory
public static interface KubernetesHPAEndpointBuilderFactory.KubernetesHPABuilders
-
-
Method Summary
All Methods Instance Methods Default Methods Modifier and Type Method Description default KubernetesHPAEndpointBuilderFactory.KubernetesHPAHeaderNameBuilderkubernetesHpa()Kubernetes HPA (camel-kubernetes) Perform operations on Kubernetes Horizontal Pod Autoscalers (HPA) and get notified on HPA changes.default KubernetesHPAEndpointBuilderFactory.KubernetesHPAEndpointBuilderkubernetesHpa(String path)Kubernetes HPA (camel-kubernetes) Perform operations on Kubernetes Horizontal Pod Autoscalers (HPA) and get notified on HPA changes.default KubernetesHPAEndpointBuilderFactory.KubernetesHPAEndpointBuilderkubernetesHpa(String componentName, String path)Kubernetes HPA (camel-kubernetes) Perform operations on Kubernetes Horizontal Pod Autoscalers (HPA) and get notified on HPA changes.
-
-
-
Method Detail
-
kubernetesHpa
default KubernetesHPAEndpointBuilderFactory.KubernetesHPAHeaderNameBuilder kubernetesHpa()
Kubernetes HPA (camel-kubernetes) Perform operations on Kubernetes Horizontal Pod Autoscalers (HPA) and get notified on HPA changes. Category: container,cloud,paas Since: 2.23 Maven coordinates: org.apache.camel:camel-kubernetes- Returns:
- the dsl builder for the headers' name.
-
kubernetesHpa
default KubernetesHPAEndpointBuilderFactory.KubernetesHPAEndpointBuilder kubernetesHpa(String path)
Kubernetes HPA (camel-kubernetes) Perform operations on Kubernetes Horizontal Pod Autoscalers (HPA) and get notified on HPA changes. Category: container,cloud,paas Since: 2.23 Maven coordinates: org.apache.camel:camel-kubernetes Syntax:kubernetes-hpa:masterUrlPath parameter: masterUrl (required) Kubernetes Master url- Parameters:
path- masterUrl- Returns:
- the dsl builder
-
kubernetesHpa
default KubernetesHPAEndpointBuilderFactory.KubernetesHPAEndpointBuilder kubernetesHpa(String componentName, String path)
Kubernetes HPA (camel-kubernetes) Perform operations on Kubernetes Horizontal Pod Autoscalers (HPA) and get notified on HPA changes. Category: container,cloud,paas Since: 2.23 Maven coordinates: org.apache.camel:camel-kubernetes Syntax:kubernetes-hpa:masterUrlPath parameter: masterUrl (required) Kubernetes Master url- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- masterUrl- Returns:
- the dsl builder
-
-